<?php

namespace Drupal\bitly_shortener\Services;

/**
 * Extend Drupal's Twig_Extension class.
 */
class BitlyShortenerTwigServices extends \Twig_Extension {

  /**
   * {@inheritdoc}
   * Let Drupal know the name of the extension.
   * must be unique name, string.
   */
  public function getName() {
    return 'bitly_shortener.twig';
  }

  /**
   * {@inheritdoc}
   * Return your twig function.
   */
  public function getFunctions() {
    return [
      new \Twig_SimpleFunction('bitly_shortener', [$this, 'bitly_shortener'])
    ];
  }

  /**
   * Return bitly url.
   * {{ bitly_shortener('https://www.drupal.org') }}
   */
  public function bitly_shortener($url) {
    $client = \Drupal::service('bitly_shortener')->shortener($url);
    return $client;
  }

}
